/**
 *
 */
package org.objectweb.easybeans.server.management;

import org.objectweb.easybeans.server.Embedded;
import org.objectweb.easybeans.jsr77.JSR77ManagementIdentifier;

/**
 * Generates an ObjectName for the {@link Embedded} component.
 * @author Guillaume Sauthier
 */
public class EmbeddedIdentifier extends JSR77ManagementIdentifier<Embedded> {

    /**
     * JMX MBean Type.
     */
    private static final String TYPE = "J2EEServer";

    /**
     * {@inheritDoc}
     */
    public String getAdditionnalProperties(final Embedded instance) {
        return null;
    }

    /**
     * {@inheritDoc}
     */
    public String getNamePropertyValue(final Embedded instance) {
        return "EasyBeans_" + instance.getID();
    }

    /**
     * {@inheritDoc}
     */
    public String getTypeValue() {
        return TYPE;
    }

}
