/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JEJBResponse.java 9 2006-02-19 18:53:32Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.objectweb.easybeans.rpc;

import org.objectweb.easybeans.rpc.api.EJBResponse;

/**
 * Implementation of the EJBResponse interface.
 * @author Florent Benoit
 */
public class JEJBResponse implements EJBResponse {

    /**
     * Id for serializable class.
     */
    private static final long serialVersionUID = 5854172126038516858L;

    /**
     * Value of the response.
     */
    private Object value;

    /**
     * Bean id.
     */
    private Long beanId = null;

    /**
     * Gets the value.
     * @return value of response.
     */
    public Object getValue() {
        return value;
    }

    /**
     * Sets the value of the response.
     * @param value response's value.
     */
    public void setValue(final Object value) {
       this.value = value;
    }


    /**
     * @return id of the bean.
     */
    public Long getBeanId() {
        return beanId;
    }

    /**
     * Sets the bean Id.
     * @param beanId the id of the bean.
     */
    public void setBeanId(final Long beanId) {
        this.beanId = beanId;
    }

}
