/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.objectweb.easybeans.tests.common.ejbs.base;

/**
 * This interface is used to test timeout callback doing the operations allowed by the JSR220-PROPOSED FINAL.
 * @author Eduardo Studzinski Estima de Castro
 * @author Gisele Pinheiro Souza
 *
 */
public interface ItfTestTimeoutCallbackOperation00 {

    /**
     * Gets a new reference of the bean with timer.
     * @throws Exception if a problem occurs.
     */
    void startUp() throws Exception;

    /**
     * Tests if a timeout callback method is allowed to acces an EJB.
     * @throws Exception if a problem occurs.
     */
    void testAccessEJB00() throws Exception;

    /**
     * Tests if a timeout callback method is allowed to acces the JNDI.
     * @throws Exception if a problem occurs.
     */
    void testAccessJNDI00() throws Exception;

    /**
     * Tests if a timeout callback method is allowed to acces the Resource Manager.
     * @throws Exception if a problem occurs.
     */
    void testAccessResourceManager00() throws Exception;

    /**
     * Tests if a timeout callback method is allowed to acces the Entity Manager.
     * @throws Exception if a problem occurs.
     */
    void testAccessEntityManager00() throws Exception;

    /**
     * Tests if a timeout callback method is allowed to acces the Entity Manager Factory.
     * @throws Exception if a problem occurs.
     */
    void testAccessEntityManagerFactory00() throws Exception;

    /**
     * Tests if a timeout callback method is allowed to acces the Timer Service.
     * @throws Exception if a problem occurs.
     */
    void testAccessTimerService00() throws Exception;

    /**
     * Tests if a timeout callback method is allowed to acces the User Transaction.
     * @throws Exception if a problem occurs.
     */
    void testAccessUserTransaction00() throws Exception;

}
