/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: SFSBContainerTransactionRequiredApp.java 547 2006-05-30 13:50:43Z studzine $
 * --------------------------------------------------------------------------
 */
package org.objectweb.easybeans.tests.common.ejbs.stateful.containermanaged;

import javax.ejb.Remote;
import javax.ejb.Stateful;
import javax.interceptor.Interceptors;

import org.objectweb.easybeans.tests.common.ejbs.base.ContainerTransactionRequired;
import org.objectweb.easybeans.tests.common.ejbs.base.ItfContainerTransaction;
import org.objectweb.easybeans.tests.common.interceptors.business.AppExceptionInterceptor;

/**
 * Inserts the table test in two databases using the annotation @TransactionAttribute(REQUIRED) in all methods.
 * This bean throws an application exception that does not force a rollback.
 * @author Gisele Pinheiro Souza
 * @author Eduardo Studzinski Estima de Castro
 */
@Stateful
@Remote(ItfContainerTransaction.class)
@Interceptors(AppExceptionInterceptor.class)
public class SFSBContainerTransactionRequiredApp extends ContainerTransactionRequired{


}
