/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EJBAccess00Interceptor.java 450 2006-05-12 15:30:25Z benoitf $
 * --------------------------------------------------------------------------
 */
package org.objectweb.easybeans.tests.common.interceptors.business;


import javax.interceptor.AroundInvoke;
import javax.interceptor.InvocationContext;

import org.objectweb.easybeans.tests.common.resources.EJBTester;


/**
 * Interceptor that access an EJB.
 * @author Eduardo Studzinski Estima de Castro
 * @author Gisele Pinheiro Souza
 *
 */
public class EJBAccess00Interceptor extends EJBTester{

    /**
     * Intercepts the method and tries to access a bean and execute some operations.
     * @param ic contains attributes of invocation
     * @return method's invocation result
     * @throws Exception if invocation fails
     */
    @AroundInvoke
    protected Object intercept(final InvocationContext ic) throws Exception {
        super.access00();
        return ic.proceed();
    }

}
